Bug 1440142 - UI: List views forget checked items when resorted by clicking on a column header.
Summary: UI: List views forget checked items when resorted by clicking on a column hea...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.9.0
Assignee: Martin Hradil
QA Contact: Satyajit Bulage
URL:
Whiteboard: ui:network
: 1440144 (view as bug list)
Depends On:
Blocks: 1444035 1444037
TreeView+ depends on / blocked
 
Reported: 2017-04-07 11:42 UTC by Satyajit Bulage
Modified: 2018-03-06 15:35 UTC (History)
8 users (show)

Fixed In Version: 5.9.0.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1444035 1444037 (view as bug list)
Environment:
Last Closed: 2018-03-06 15:35:00 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)

Description Satyajit Bulage 2017-04-07 11:42:41 UTC
Description of problem: See video for steps to reproduce
 

Version-Release number of selected component (if applicable): 5.8.0.9-alpha2.20170404195944_1d7ece4


How reproducible: 100%


Steps to Reproduce:
1. Navigate to Networks --> Security Groups
2.
3.

Actual results:


Expected results:


Additional info:

Comment 3 Tzu-Mainn Chen 2017-04-10 18:22:27 UTC
Looks like this happens when you 'edit tags'

Comment 4 Tzu-Mainn Chen 2017-04-10 18:23:12 UTC
Oddly enough, I can't seem to reproduce this - do you have some logs you could add to the BZ?  Thanks!

Comment 5 Tzu-Mainn Chen 2017-04-13 15:41:30 UTC
*** Bug 1440144 has been marked as a duplicate of this bug. ***

Comment 6 Tzu-Mainn Chen 2017-04-13 15:45:41 UTC
Okay, figured it out.  This is actually a generic UI bug, which goes as follows:

a) go to any list page (I tried this for ports, security groups, and cloud tenants); do not select anything
b) note that the Policy drop down is greyed out, because no item is selected
c) select any number of items; note that the Policy dropdown is now available
d) click on the table header to sort (by name or ID of anything)
e) after sorting, any previously selected items will be unselected; however, the Policy dropdown will not revert to its greyed out state
f) now go to Policy and select "Edit Tags"; you'll see an error because nothing is selected

Dan, I think this one might fall into the generic UI category. It does seem like a fairly minor bug though.

Comment 8 Martin Povolny 2017-04-18 07:42:48 UTC
So the problem has little to do with Security groups.

Problem description:

List views forget checked items when resorted by clicking on a column header. 

Toolbars still things items are checked and therefor buttons are still enabled that need items selected.

This leads to variour errors when the buttons are pressed. The original BZ description is an example of such button.

Comment 9 Martin Povolny 2017-04-18 08:09:28 UTC
Further info:

This should be actually fixed by resetting the toolbar status when resorting the grid.

The fact that the checked items are forgotten is not a bug, it's "works as designed" due to the possibility of checked items being out of paginator range when sorting long lists.

Comment 10 Martin Povolny 2017-04-18 08:09:55 UTC
Further info:

This should be actually fixed by resetting the toolbar status when resorting the grid.

The fact that the checked items are forgotten is not a bug, it's "works as designed" due to the possibility of checked items being out of paginator range when sorting long lists.

Comment 12 CFME Bot 2017-04-20 08:38:14 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:
https://github.com/ManageIQ/manageiq-ui-classic/commit/a6740381f364b7bf77637de0860f25bf4ff55a8b

commit a6740381f364b7bf77637de0860f25bf4ff55a8b
Author:     Martin Hradil <mhradil@redhat.com>
AuthorDate: Tue Apr 18 15:30:11 2017 +0000
Commit:     Martin Hradil <mhradil@redhat.com>
CommitDate: Tue Apr 18 15:30:11 2017 +0000

    miqSetButtons - reset toolbar count to 0 when miqSetButtons called with 0
    
    before the toolbar refactor, miqSetButtons would set everything to the right count.
    
    It is still being called in places where we need to update the toolbar count, but doesn't work most of the time because it no longer touches any toolbars.
    
    This needs more refactoring to be clean, but for now, at least we should reset the toolbar to 0 when asked to :).
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1440142

 app/assets/javascripts/miq_application.js | 13 ++++++++++---
 1 file changed, 10 insertions(+), 3 deletions(-)

Comment 15 Satyajit Bulage 2017-10-13 13:17:36 UTC
This issue is not able to reproduce.

Verified Version: 5.9.0.2.20171010190026_0413a06


Note You need to log in before you can comment on or make changes to this bug.